Vulnerability Name:

CVE-2017-14766

Assigned:2017-09-27
Published:2017-09-27
Updated:2017-10-10
Summary:The Simple Student Result plugin before 1.6.4 for WordPress has an Authentication Bypass vulnerability because the fn_ssr_add_st_submit() function and fn_ssr_del_st_submit() function in functions.php only require knowing the student id number.
CVSS v3 Severity:7.5 High (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): High
Availibility (A): None
6.5 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:6.4 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-287
References:Source: MISC
Type: VENDOR_ADVISORY
https://limbenjamin.com/articles/simple-student-result-auth-bypass.html

Source: MISC
Type: VENDOR_ADVISORY
https://wordpress.org/plugins/simple-student-result/#developers

Source: MISC
Type: VENDOR_ADVISORY
https://wpvulndb.com/vulnerabilities/8920

Vulnerable Configuration:Configuration 1:
  • cpe:/a:saadamin:simple_student_result:1.6.3::~~~wordpress~~:*:*:*:*:*

  • Denotes that component is vulnerable
    BACK
    saadamin simple_student_result 1.6.3